summaryrefslogtreecommitdiffstats
path: root/audio/cmus/cmus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/cmus/cmus.SlackBuild')
-rw-r--r--audio/cmus/cmus.SlackBuild25
1 files changed, 8 insertions, 17 deletions
diff --git a/audio/cmus/cmus.SlackBuild b/audio/cmus/cmus.SlackBuild
index 3635a97335..8440c9bde8 100644
--- a/audio/cmus/cmus.SlackBuild
+++ b/audio/cmus/cmus.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for cmus
-# Copyright (c) 2008-2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -22,9 +22,9 @@
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=cmus
-VERSION=2.2.0
+VERSION=v2.3.2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -49,7 +49,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -58,11 +58,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Apply some patches from gentoo
-# Thanks to B Watson for made me notice the ffmpeg issue.
-cat $CWD/patches/cmus-2.2.0-new-ffmpeg.patch | patch -p1
-cat $CWD/patches/cmus-2.2.0-symlink_attack.patch | patch -p1
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -75,12 +70,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
@@ -90,8 +81,8 @@ if [ -d $PKG/usr/man ]; then
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING HACKING README $PKG/usr/doc/$PRGNAM-$VERSION
-chmod -x $PKG/usr/doc/$PRGNAM-$VERSION/examples/*
+cp -a AUTHORS COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/examples/*
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install